<?php

/**
 *  Carousel view
 *
 * @package    Eventful_pro_for_elementor
 * @subpackage Eventful_pro_for_elementor
 */
if (!defined('ABSPATH')) {
	exit;
}

?>
<div id="efpe_wrapper-<?php echo esc_attr($efpe_gl_id); ?>" class="<?php self::efpe_wrapper_classes($layout_preset, $efpe_gl_id, $grid_style, $item_same_height_class); ?>" <?php self::wrapper_data($pagination_type, $pagination_type_mobile, $efpe_gl_id, $options, $layout_preset); ?> data-lang="<?php echo esc_attr($spsp_lang); ?>">
	<?php EFPE_HTML::efpe_preloader($show_preloader); ?>
	<?php require EFPE_Functions::efpe_locate_template('templates/filter-bar.php'); ?>
	<div class="eventful">
		<div class="ta-row ta-margin elementor-grid ppfe-grid-container">
			<?php self::efpe_get_posts($options, $layout_preset, $post_content_sorter, $efpe_query, $efpe_gl_id, $efpe_settings); ?>
		</div>
	</div>
	<?php require EFPE_Functions::efpe_locate_template('templates/pagination.php'); ?>
</div>