<?php

/**
 *  List view file
 *
 * This template can be overridden by copying it to yourtheme/eventful-pro/templates/list.php
 *
 * @package    Eventful_Pro
 * @subpackage Eventful_Pro/public/template
 */

if (!defined('ABSPATH')) {
	exit;
}
?>
<div id="efpe_wrapper-<?php echo esc_attr($efpe_gl_id); ?>" class="<?php self::efpe_wrapper_classes($layout_preset, $efpe_gl_id, $pagination_type); ?>" <?php self::wrapper_data($pagination_type, $pagination_type_mobile, $efpe_gl_id, $options, $layout_preset); ?> data-sid="<?php echo esc_attr($efpe_gl_id); ?>" data-lang="<?php echo esc_attr($spsp_lang); ?>">
	<?php
	// EFPE_HTML::efpe_preloader($show_preloader);
	?>
	<?php require EFPE_Functions::efpe_locate_template('templates/filter-bar.php'); ?>
	<div class="eventful">
		<div class="ta-row ta-margin">
			<?php self::efpe_get_posts($options, $layout_preset, $post_content_sorter, $efpe_query, $efpe_gl_id, $efpe_settings); ?>
		</div>
	</div>
	<?php require EFPE_Functions::efpe_locate_template('templates/pagination.php'); ?>
</div>