<?php

/**
 * Item Title
 *
 * This template can be overridden by copying it to yourtheme/eventful-pro-por-elementor/templates/item/title.php
 *
 * @package    Eventful_pro_for_elementor
 * @subpackage Eventful_pro_for_elementor/public
 */
?>

<<?php echo esc_attr($post_title_tag); ?> class="eventful__item--title">
	<?php if ('none' === $efpe_page_link_type) { ?>
		<?php echo sprintf('<a %2$s>%1$s</a>', wp_kses(trim($efpe_post_title), $allowed_html_tags), esc_attr($efpe_link_rel_text)); ?>
	<?php } else { ?>
		<?php echo sprintf('<a href="%1$s" %3$s target="%4$s">%2$s</a>', esc_url(get_the_permalink($post)), wp_kses(trim($efpe_post_title), $allowed_html_tags), esc_attr($efpe_link_rel_text), esc_attr($efpe_link_target)); ?>
	<?php } ?>

</<?php echo esc_attr($post_title_tag); ?>>
